mediastreamer2 2.7.3

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Directories

- File List
- Globals

Typedefs | Functions

# msticker.h File Reference

mediastreamer2 msticker.h include file More...

`#include "msfilter.h"`
`#include "mscommon.h"`

## Typedefs
typedef uint64_t(* | MSTickerTimeFunc )(void *)
typedef struct _MSTicker | MSTicker
## Functions
MSTicker * | ms_ticker_new (void)
void | ms_ticker_set_name (MSTicker *ticker, const char *name)
int | ms_ticker_attach (MSTicker *ticker, MSFilter *f)
int | ms_ticker_detach (MSTicker *ticker, MSFilter *f)
void | ms_ticker_destroy (MSTicker *ticker)
void | ms_ticker_set_time_func (MSTicker *ticker, MSTickerTimeFunc func, void *user_data)
void | ms_ticker_print_graphs (MSTicker *ticker)

## Detailed Description

mediastreamer2 msticker.h include file

This file provide the API needed to create, start and stop a graph.